Subject: 24.3; thing-at-point slow for url and email

From: Leo Liu <[email-masked]>
Date: Tue, 05 Nov 2013 10:52:10 +0800

GNU Emacs 24.3.1 (i386-apple-darwin13.0.0, Carbon Version 1.6.0 AppKit
1265) of 2013-10-27 on localhost

While using M-w in simple.el using easy-kill I noticed some delays which
are due to slow (thing-at-point 'url) and (thing-at-point 'email).

If I narrow the buffer, they become instant. However slowness doesn't
appear to be proportional to buffer-size, I tried the org.el file and
they were instant there.

For example

1. goto function next-error-buffer-p in simple.el
2. eval (benchmark-run 10 (thing-at-point 'email))
3. eval (benchmark-run 10 (thing-at-point 'url))

email: (4.415538 0 0.0)
url: (6.74361 0 0.0)

What is choking the regexp engine?

Leo